Package org.gitana.platform.client.webhost

# Class WebHostImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.datastore.AbstractDataStoreImpl
org.gitana.platform.client.cluster.AbstractClusterDataStoreImpl
org.gitana.platform.client.platform.AbstractPlatformDataStoreImpl
org.gitana.platform.client.webhost.WebHostImpl

All Implemented Interfaces:
  `Serializable`, `ClusterDataStore`, `DataStore`, `Document`, `PlatformDataStore`, `AccessControllable`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `Teamable`, `WebHost`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class WebHostImpl extends AbstractPlatformDataStoreImpl implements WebHost

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

### Fields inherited from interface org.gitana.platform.client.webhost.WebHost

`FIELD_AUTOMANAGED_URL_PATTERNS, FIELD_DEPLOYER_TYPES, FIELD_KEY`

## Constructor Summary

Constructors
Constructor
Description
`WebHostImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`AutoClientMapping`
`createAutoClientMapping(String host, String appKey, String applicationId, String clientKey, String authGrantKey)`
`void`
`deleteAutoClientMapping(String autoClientMappingId)`
`void`
`deleteAutoClientMapping(AutoClientMapping autoClientMapping)`
`List<String>`
`getAutoManagedUrlPatterns()`
`List<String>`
`getDeployerTypes()`
`String`
`getKey()`
`String`
`getResourceUri()`
`String`
`getTypeId()`
`boolean`
`hasDeployerType(String deployerType)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
`listAutoClientMappings()`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
`listAutoClientMappings(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
`listDeployedApplications()`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
`listDeployedApplications(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
`queryAutoClientMappings(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<AutoClientMapping>`
`queryAutoClientMappings(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
`queryDeployedApplications(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DeployedApplication>`
`queryDeployedApplications(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`AutoClientMapping`
`readAutoClientMapping(String autoClientMappingId)`
`DeployedApplication`
`readDeployedApplication(String deployedApplicationId)`
`void`
`reload()`
Reload
`void`
`setAutoManagedUrlPatterns(List<String> urlPatterns)`
`void`
`setDeployerTypes(List<String> deployerTypes)`
`void`
`setKey(String key)`
`void`
`updateAutoClientMapping(AutoClientMapping autoClientMapping)`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDataStoreImpl

`copy, copy, copyAsync, copyAsync, getPlatform, ref`

### Methods inherited from class org.gitana.platform.client.cluster.AbstractClusterDataStoreImpl

`getCluster`

### Methods inherited from class org.gitana.platform.client.datastore.AbstractDataStoreImpl

`createTeam, createTeam, delete, deleteTeam, equals, exportArchive, exportArchive, exportArchive, getACL, getACL, getAuthorityGrants, getDriver, getFactory, getId, getOwnersTeam, getRemote, getTeamableBaseUri, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, importArchive, importArchive, importArchive, listTeams, readTeam, revoke, revoke, revokeAll, revokeAll, update`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.cluster.ClusterDataStore

`getCluster`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, update`

### Methods inherited from interface org.gitana.platform.client.team.Teamable

`createTeam, createTeam, deleteTeam, getOwnersTeam, getTeamableBaseUri, listTeams, readTeam`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

### Methods inherited from interface org.gitana.platform.client.webhost.WebHost

`getPlatform`

## Constructor Details

### WebHostImpl

public WebHostImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

public String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractDataStoreImpl`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`
Specified by:
  `reload` in class `AbstractDataStoreImpl`

### getKey

public String getKey()

Specified by:
  `getKey` in interface `WebHost`

### setKey

public void setKey(String key)

Specified by:
  `setKey` in interface `WebHost`

### getAutoManagedUrlPatterns

public List<String> getAutoManagedUrlPatterns()

Specified by:
  `getAutoManagedUrlPatterns` in interface `WebHost`

### setAutoManagedUrlPatterns

public void setAutoManagedUrlPatterns(List<String> urlPatterns)

Specified by:
  `setAutoManagedUrlPatterns` in interface `WebHost`

### getDeployerTypes

public List<String> getDeployerTypes()

Specified by:
  `getDeployerTypes` in interface `WebHost`

### setDeployerTypes

public void setDeployerTypes(List<String> deployerTypes)

Specified by:
  `setDeployerTypes` in interface `WebHost`

### hasDeployerType

public boolean hasDeployerType(String deployerType)

Specified by:
  `hasDeployerType` in interface `WebHost`

### listAutoClientMappings

public org.gitana.platform.support.ResultMap<AutoClientMapping> listAutoClientMappings()

Specified by:
  `listAutoClientMappings` in interface `WebHost`

### listAutoClientMappings

public org.gitana.platform.support.ResultMap<AutoClientMapping> listAutoClientMappings(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listAutoClientMappings` in interface `WebHost`

### readAutoClientMapping

public AutoClientMapping readAutoClientMapping(String autoClientMappingId)

Specified by:
  `readAutoClientMapping` in interface `WebHost`

### createAutoClientMapping

public AutoClientMapping createAutoClientMapping(String host, String appKey, String applicationId, String clientKey, String authGrantKey)

Specified by:
  `createAutoClientMapping` in interface `WebHost`

### queryAutoClientMappings

public org.gitana.platform.support.ResultMap<AutoClientMapping> queryAutoClientMappings(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryAutoClientMappings` in interface `WebHost`

### queryAutoClientMappings

public org.gitana.platform.support.ResultMap<AutoClientMapping> queryAutoClientMappings(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryAutoClientMappings` in interface `WebHost`

### updateAutoClientMapping

public void updateAutoClientMapping(AutoClientMapping autoClientMapping)

Specified by:
  `updateAutoClientMapping` in interface `WebHost`

### deleteAutoClientMapping

public void deleteAutoClientMapping(AutoClientMapping autoClientMapping)

Specified by:
  `deleteAutoClientMapping` in interface `WebHost`

### deleteAutoClientMapping

public void deleteAutoClientMapping(String autoClientMappingId)

Specified by:
  `deleteAutoClientMapping` in interface `WebHost`

### listDeployedApplications

public org.gitana.platform.support.ResultMap<DeployedApplication> listDeployedApplications()

Specified by:
  `listDeployedApplications` in interface `WebHost`

### listDeployedApplications

public org.gitana.platform.support.ResultMap<DeployedApplication> listDeployedApplications(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listDeployedApplications` in interface `WebHost`

### readDeployedApplication

public DeployedApplication readDeployedApplication(String deployedApplicationId)

Specified by:
  `readDeployedApplication` in interface `WebHost`

### queryDeployedApplications

public org.gitana.platform.support.ResultMap<DeployedApplication> queryDeployedApplications(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryDeployedApplications` in interface `WebHost`

### queryDeployedApplications

public org.gitana.platform.support.ResultMap<DeployedApplication> queryDeployedApplications(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryDeployedApplications` in interface `WebHost`